Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class DefaultSecurityManager

    java.lang.Object
      |
      +--oracle.portal.provider.v1.DefaultSecurityManager

public class DefaultSecurityManager
extends java.lang.Object
implements PortletSecurityManager

DefaultSecurityManager is a simple access controller for a portlet that uses a user's authentication level to control access. A user will be granted access to a portlet if his/her authentication level is greater than or equal to the security level that has been specified for the security manager.

If you do not specify a security level for the security manager, it will default to the most secure level of operation

Field Summary
`static java.lang.String` | `PUBLIC`
`static java.lang.String` | `STRONG`
`static java.lang.String` | `WEAK`

Constructor Summary
`DefaultSecurityManager()`

Method Summary
`boolean` | `hasAccess(Portlet p, ProviderUser user)` Verifies that the specified user's authentication level is greater than or equal to the specified security threshhold.
`boolean` | `hasAccess(PortletReference ref, ProviderUser user)` Verifies that the specified user's authentication level is greater than or equal to the specified security threshhold.
`void` | `setSecurityLevel(int level)` Sets the security threshhold for this security manager.
`void` | `setSecurityLevel(java.lang.String level)` Sets the security threshhold for this security manager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRONG

    public static final java.lang.String STRONG

### WEAK

    public static final java.lang.String WEAK

### PUBLIC

    public static final java.lang.String PUBLIC

Constructor Detail

### DefaultSecurityManager

    public DefaultSecurityManager()

Method Detail

### hasAccess

    public boolean hasAccess(Portlet p,
                             ProviderUser user)

  Verifies that the specified user's authentication level is greater than or equal to the specified security threshhold.
  Specified by:
    hasAccess in interface PortletSecurityManager
  Parameters:
    `p` - the portlet which we want to authorize access to.
    `user` - the current user we are being asked to authorize.
  Returns:
    true is this user is authorized to access this portlet.

### hasAccess

    public boolean hasAccess(PortletReference ref,
                             ProviderUser user)
                      throws PortletNotFoundException

  Verifies that the specified user's authentication level is greater than or equal to the specified security threshhold.
  Specified by:
    hasAccess in interface PortletSecurityManager
  Parameters:
    `ref` - portlet reference that identifies the instant
    `user` - the current user we are being asked to authorize.
  Returns:
    true is this user is authorized to access this portlet instance.

### setSecurityLevel

    public void setSecurityLevel(java.lang.String level)
                          throws java.lang.IllegalStateException

  Sets the security threshhold for this security manager. This version of the method is intended for use by Providers that are initialized via the provider.xml file & it supports a reduced subset of the authentication levels for simplicity
  Parameters:
    `level` - String representation of the security level

### setSecurityLevel

    public void setSecurityLevel(int level)
                          throws java.lang.IllegalStateException

  Sets the security threshhold for this security manager. This version of the setSecurityLevel method supports the full range of security levels supported by the Portal.
  Parameters:
    `level` - integer representation of the security level

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD